<div class="w-100-p p-40">
    <button [routerLink]="'/page/medicalrecord'" mat-raised-button>Back</button>
    <br>
    <br>
    <!-- <mat-form-field appearance="legacy">
        <mat-label>Filter Klinik</mat-label>
        <input matInput type="text" name="search" (keyup)="filterDataK($event.target.value)" id="">
    </mat-form-field> -->
    <!-- <button (click)="captureScreen()" mat-raised-button color="primary">Print PDF</button> -->
    <!-- <button (click)="cetak('component')" mat-raised-button color="primary">Print</button> -->
    <table id="tblResume" class="w-100-p">
        <tr>
            <td colspan="3" id="judul">
                RS. AZRA BOGOR <br>
                RINGKASAN RIWAYAT KLINIK
            </td>
        </tr>
        <tr>
            <td><b>NOMOR REKAM MEDIK :</b> {{row.Kd_RM}}</td>
            <td colspan="2"><b>NAMA PASIEN :</b> {{row.Nama}}</td>
        </tr>
        <tr>
            <td><b>JENIS KELAMIN :</b> {{row.JenKel}}</td>
            <td colspan="2"><b>TEMPAT TGL LAHIR :</b> {{row.Tmp_Lahir}} / {{row.Tgl_Lahir| date: 'dd-MM-yyyy'}}</td>
        </tr>
        <tr>
            <td><b>NOMER TELEPON :</b> {{row.Telp_HP}}</td>
            <td><b>ALAMAT RUMAH :</b> {{row.Alamat}}</td>
            <td><b>RT/RW :</b> {{row.RT_RW}}</td>
        </tr>
        <tr>
            <td><b>NOMER HP :</b> {{row.No_HP}}</td>
            <td><b>KELURAHAN :</b> {{row.Kelurahan}}</td>
            <td><b>KECAMATAN :</b> {{row.Kecamatan}}</td>
        </tr>
        <tr>
            <td><b>KODYA/KABUPATEN :</b> {{row.Kab_Kodya}}</td>
            <td colspan="2"><b>PROVINSI :</b> {{row.Propinsi}}</td>
        </tr>
    </table><br>
    <table border="1" id="tblResume" class="w-100-p">
        <tr>
            <td><b>WARGA NEGARA</b></td>
            <td><b>AGAMA</b></td>
            <td><b>STATUS PERKAWINAN</b></td>
            <td><b>PENDIDIKAN</b></td>
            <td><b>UMUR</b></td>
        </tr>
        <tr>
            <td>{{row.Warga_Negara}}</td>
            <td>{{row.Agama}}</td>
            <td>{{row.Status_Kawin}}</td>
            <td>{{row.Pendidikan}}</td>
            <td>{{row.Tgl_Lahir}}</td>
        </tr>
    </table><br>
    <table id="tblResume" class="w-100-p">
        <tr>
            <td><b>PEKERJAAN :</b> {{row.Pekerjaan}}</td>
            <td><b>ALAMAT KANTOR & TELEPON :</b> </td>
            <td><b>NAMA AYAH/NAMA SUAMI :</b> {{row.Ayah_Suami}}</td>
        </tr>
        <tr>
            <td><b>NAMA KELUARGA :</b> {{row.Nm_Keluarga}}</td>
            <td><b>ALAMAT & TELEPON :</b> {{row.Alm1_Kel}},<br> {{row.Alm2_Kel}}, {{row.Kota_Kel}},
                Telp.{{row.Telp_Kel}} </td>
            <td><b>NAMA IBU :</b> {{row.Ibu_Istri}}</td>
        </tr>
    </table>
    <br>
    <mat-form-field appearance="legacy">
        <mat-label>Filter Tanggal Masuk</mat-label>
        <input matInput type="text" name="search" (change)="filterData($event.target.value)" id="">
    </mat-form-field>
    <table border="1" id="tblResume" class="w-100-p">
        <tr>
            <th width="80">TANGGAL</th>
            <th width="100">KLINIK</th>
            <th width="100">DIAGNOSA</th>
            <th width="100">NO KODE</th>
            <th width="100">CATATAN/LAIN-LAIN</th>
            <th width="100">DOKTER</th>
        </tr>
        <tr *ngFor="let dp of filteredData$">
            <td> {{ dp.TanggalMasuk }}</td>
            <td> {{ dp.Jenis_Pelayanan }}</td>
            <td> {{ dp.english_icd }}</td>
            <td> {{ dp.kd_icd }}</td>
            <td> </td>
            <td> {{ dp.Dokter }}</td>
        </tr>
    </table>
</div>